

#include "gba_types.h"
#include "gba_const.h"
#include "gba_mem.h"

#include "aux.h"

//// AUXILIAR FUNCS /////


//// Hey! GBA uses BGR color!
inline u16 color16(u8 r, u8 g, u8 b) {
	return (r >> 3) | ((g >> 3) << 5) | ((b >> 3) << 10);
}

void vsync() {
    while(REG_VCOUNT >= 160);   // wait till VDraw
    while(REG_VCOUNT < 160);    // wait till VBlank
}


