
#include "gba_types.h"
#include "gba_const.h"
#include "gba_mem.h"


#ifndef TRANS_H
#define TRANS_H

//// TRANSFORM FUNCTIONS /////

inline void hide_all_sprites (void);

inline void trans_identity (u32 n);
inline void trans_identity_f (u32 n);

inline void trans_rotate_45 (u32 n);
inline void trans_rotate_45_f (u32 n);
inline void trans_rotate_m45 (u32 n);
inline void trans_rotate_m45_f (u32 n);

inline void trans_rotate_15 (u32 n);
inline void trans_rotate_m15 (u32 n);
inline void trans_rotate_15_f (u32 n);
inline void trans_rotate_m15_f (u32 n);

inline void trans_rotate_25 (u32 n);
inline void trans_rotate_m25 (u32 n);
inline void trans_rotate_25_f (u32 n);
inline void trans_rotate_m25_f (u32 n);

//inline void trans_copy (u32 n);


typedef struct RotInfo {
	s16 pa, pb, pc, pd;
}RotInfo;

#endif

