
#include <iostream>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include <stdio.h>
#include <sys/types.h>
#include <dirent.h>
#include <vector>

using namespace std;

typedef struct tile {
	unsigned char data [8*8];
} tile;
typedef struct tile4 {
	unsigned char data [32];
} tile4;

bool tile_compare(const unsigned char * a, const unsigned char * b) {
	for (int i = 0; i < 64; i++) if (a[i] != b[i]) return false;
	return true;
}

//make_sprite input output num_sprites colordepth transparent_color

int f_24to16 (int color) {
	int red = color >> 16;
	int green = (color >> 8) & 0xFF;
	int blue = color & 0xFF;
	return ((red >> 3)<< 10) | ((green >> 3) << 5) | ((blue >> 3) << 0);
}

int main () {
	string input, output;
	cin >> input >> output;
	int trans_color; cin >> trans_color; trans_color = f_24to16(trans_color);

	FILE * pFile = fopen (&input[0],"rb");
	if (pFile == NULL) cout << "eee NULOooooooooooooooooo";

	cout << "file opened" << endl;

	char header[10];
	fread (&header[0],1,10,pFile);   //HEAD

	int pos_start;
	fread (&pos_start,4,1,pFile);   //read the pointer to the first pixel

	int width, height;
	fread (&width,1,4,pFile);    // width / height
	fread (&width,1,4,pFile);
	fread (&height,1,4,pFile);
	short bpp;
	fread (&bpp,1,2,pFile);         //2 clipplanes + bpp (2)
	fread (&bpp,1,2,pFile);

	fclose (pFile);

	pFile = fopen(&input[0],"rb");

	char remain[pos_start];
	fread (&remain[0],1,pos_start,pFile);   //skip all the head & stuff
	//fseek(pFile, pos_start, SEEK_SET);

	cout << "file opened 2" << endl;

	int buffer_size = width*height*bpp/8, counter = 0;
	/*unsigned char * ibuffer = (unsigned char *)malloc(width*height*bpp/8);
	//unsigned char * ibuffer = new unsigned char [width*height*bpp/8];
	unsigned short * obuffer = (unsigned short *)malloc(width*height);
	unsigned short * obuffer2 = (unsigned short *)malloc(width*height);
	unsigned char * obuffer3 = (unsigned char* ) malloc(width*height);*/
	unsigned char ibuffer[buffer_size];
	unsigned short obuffer[width*height];
	unsigned short obuffer2[width*height];
	unsigned char obuffer3[width*height];
	unsigned short palette[16];
	fread (&ibuffer[0],1,buffer_size-10000,pFile);
	//for (int i = 0; i < buffer_size/10; i++) { fread (&ibuffer[i],1,1,pFile);}
	fclose (pFile);

	

	cout << "reading... OK" << endl;
	
	for (int i = 0; i <  buffer_size; i=i+(bpp/8)) {
		obuffer[counter++] = (ibuffer[i+2] >> 3) | ((ibuffer[i+1] >> 3) << 5) | ((ibuffer[i+0] >> 3) << 10); }

//	cout << "converting... OK" << endl;

	//cout << width << " " << height << " " << bpp << " ";


	cout << "tag1";


	int k = 0;
	for (int i = height-1; i >= 0; i--) {
		memcpy(&obuffer2[k*width],&obuffer[i*width],width*2);  //the file
		k++;
	}
	int num_colors = 1;   //the first olor is transparent!

	for (int i = 0; i < counter; i++) {
		//look up the color, is it already in the list?
		bool listed = false;
		int index = 0;
		if (obuffer2[i] == trans_color) {
			obuffer3[i] = 0;
		}else{
			for (int j = 1; j < num_colors; j++) {
				if (obuffer2[i] == palette[j]) {
					listed = true;
					index = j;
					break;
				}
			}
			if (not listed) {
				palette[num_colors] = obuffer2[i];
				index = num_colors;
				num_colors++;
			}
			obuffer3[i] = index;
		}	
	}

	cout << "palette... OK" << endl;


	FILE * pFile2 = fopen (&output[0],"wb");

	int h=0;
	for (h = output.size() -1 ; h >= 0; h--) if (output[h] == '/') break;
	int start = h+1; if (h == 0 and output[0] != '/') start = 0;
	int name_len = output.size()-start +1;

	char thefn[1020]; memset(&thefn[0],'\0',1020);
	memcpy (&thefn[0],&output[start],output.size()-start);
	fwrite(&thefn[0],1,1020,pFile2);   // the null terminated string of the filename

	//some checks
	if (width % 8 != 0 or height % 8 != 0) {cout << "The bg is not multiple of 8!" << endl; return 0;}

	//first of all we must create a list with the unique tileset.

	int num_tiles = width*height/64;
	tile atile;
	vector <tile> tilelist(num_tiles);
	counter = 0;
	int twidth = width/8;
	int theight = height/8;
	
	for (int j = 0; j < theight; j++) {
		for (int i = 0; i < twidth; i++) {
			for (int k = 0; k < 8; k++) {
				memcpy (&atile.data[8*k],&obuffer3[i*8+j*width*8+k*width],8);
			}
			memcpy(&tilelist[counter].data[0],&atile.data[0],8*8);
			counter ++;
		}
	}

	cout << "tile picking... OK" << endl;

	//search for the unique tiles by copying them to a new list
	vector <tile> tilelist2(num_tiles);
	int num_tiles2 = 0;
	for (int i = 0; i < num_tiles; i++) {
		bool found = false;
		for (int j = 0; j < num_tiles2; j++) {
			if (tile_compare(&tilelist[i].data[0],&tilelist2[j].data[0])) {
				found = true;
				break;
			}
		}
		if (not found) {	//add to list
			memcpy (&tilelist2[num_tiles2].data[0],&tilelist[i].data[0],64);
			num_tiles2++;
		}
	}
	cout << "removing repeated... OK" << endl;

	//now we have a tileset with "num_tiles2" number of tiles we create the screen entries wich are WORDs

	unsigned short themap [twidth*theight];
	for (int i = 0; i < num_tiles; i++) {
		for (int k = 0; k < num_tiles2; k++) {
			if (tile_compare(&tilelist[i].data[0],&tilelist2[k].data[0])) {
				themap[i] = k; //added!
				break; 
			}
		}
	}
	cout << "indexing tiles... OK" << endl;

	vector <tile4> tilelist3(num_tiles2);
	//now we have all but the tiles with 8bit indices palette
	for (int i = 0; i < num_tiles2; i++) {
		for (int j = 0; j < 64; j=j+2) {
			tilelist3[i].data[j/2]= (tilelist2[i].data[j+1] << 4) | (tilelist2[i].data[j] & 0xF);
		}
	}

     	//palete + info(32) + tileset + tile indices
	int counter2 = 32 + 32 +(num_tiles2*32) + (twidth * theight * 2);
	fwrite(&counter2,1,4,pFile);  //file size

	cout << num_tiles2 << " unique tiles (" << num_tiles2*64/2 << " bytes)" << endl;

	fwrite(&palette[0],1,32,pFile2);

	unsigned short auxnum = num_tiles2;
	fwrite(&auxnum,1,2,pFile2);
	auxnum = twidth; fwrite(&auxnum,1,2,pFile2);
	auxnum = theight; fwrite(&auxnum,1,2,pFile2);
	unsigned char zer[26];
	memset(&zer[0],0,26);
	fwrite(&zer[0],1,26,pFile2);

	for (int i = 0; i < num_tiles2; i++) fwrite(&tilelist3[i].data[0],1,32,pFile2);
	fwrite(&themap[0],1,twidth*theight*2,pFile2);

	fclose (pFile2);

	return 0;
}

